## name.milesparker.epi
Class PlaceStyle2D

    java.lang.Object
      org.ascape.util.vis.DrawFeature
          name.milesparker.epi.PlaceStyle2D

All Implemented Interfaces:
  java.io.Serializable, HasName, PlatformDrawFeature

    public class PlaceStyle2D

extends DrawFeature

Place Style 2D Java Implementation. Generated by AMF for model: Epidemic.metaabm in project: org.eclipse.amp.amf.examples.ascape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.util.vis.DrawFeature
`name, nestedFeature`

Constructor Summary
`PlaceStyle2D()`

Method Summary
`void` `draw(java.awt.Graphics g, java.lang.Object object, int width, int height)`

Methods inherited from class org.ascape.util.vis.DrawFeature
`draw, getName, getNestedFeature, setName, setNestedFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceStyle2D

    public PlaceStyle2D()

Method Detail

### draw

    public void draw(java.awt.Graphics g,
                     java.lang.Object object,
                     int width,
                     int height)